Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.openjpa.persistence.criteria
Enum ComparisonStyle.StringComparisonMode

    java.lang.Object
      java.lang.Enum<ComparisonStyle.StringComparisonMode>
          org.apache.openjpa.persistence.criteria.ComparisonStyle.StringComparisonMode

All Implemented Interfaces:
  Serializable, Comparable<ComparisonStyle.StringComparisonMode>

Enclosing interface:
  ComparisonStyle

    public static enum ComparisonStyle.StringComparisonMode

extends Enum<ComparisonStyle.StringComparisonMode>

Enum Constant Summary
`CASE_INSENSITIVE`
`EXACT`
`LIKE`

Method Summary
`static ComparisonStyle.StringComparisonMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ComparisonStyle.StringComparisonMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXACT

    public static final ComparisonStyle.StringComparisonMode EXACT

### CASE_INSENSITIVE

    public static final ComparisonStyle.StringComparisonMode CASE_INSENSITIVE

### LIKE

    public static final ComparisonStyle.StringComparisonMode LIKE

Method Detail

### values

    public static ComparisonStyle.StringComparisonMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ComparisonStyle.StringComparisonMode c : ComparisonStyle.StringComparisonMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ComparisonStyle.StringComparisonMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.